#### D.5.2.43 eulerChProj

Procedure from library `chern.lib` (see chern_lib).

Usage:
  eulerChProj(n, r, c); n integer, r polynomial (or integer), c list of polynomials

Return:
  polynomial

Purpose:
  computes the Euler characteristic of a vector bundle on P_n in terms of its rank and Chern classes

Note:

Example:

    LIB "chern.lib";
    ring h=0, (r, c(1..3)),  ws(0,1,2,3);
    list l=c(1..3);
    // the Euler characteristic of a vector bundle on the projective line
    print( eulerChProj(1, r, l) );
    // the Euler characteristic of a vector bundle on the projective plane
    print( eulerChProj(2, r, l) );
    // the Euler characteristic of a vector bundle on P_3
    print( eulerChProj(3, r, l) );
    // assume now that we have a bundle framed at a subplane of P_3
    // this implies c(1)=c(2)=0
    l= 0, 0, c(3);
    // the Euler characteristic is
    print( eulerChProj(3, r, l) );
    // which implies that c(3) must be even in this case

User manual for Singular version 4.4.1, 2025, generated by texi2html.